Page 1 of 1

Problems when updating LMDE

Posted: Sun Feb 06, 2011 12:51 pm
by malligt
Good Morning,

I have 2 computers...a DELL Inspiron 6000 laptop, and a DELL Dimension 8400 desktop--BOTH running 32bit LMDE.

The laptop updates OK. The desktop gives me an error message "Could not update ICE authority file /var/lib/gdm3/.ICEauthority".

I've previously posted this on January 31, 2011 here:

http://forums.linuxmint.com/viewtopic.p ... ce#p376501

None of the proposed solutions worked, so I reinstalled LMDE 2011 32bit, and for all of one week, it updated OK (handling up to 13 updates max per day).

Now after 173+ updates from squeeze this morning, the error .ICEauthority message has returned. I shouldn't have to reinstall LMDE every week....

But, again, no problems on the laptop adding 173 updates.

Any ideas? Suggestions?

Please help.

Thank you in advance.

Re: Problems when updating LMDE

Posted: Mon Feb 07, 2011 4:52 am
by vicshrike
do not know if this is of help, but might be worth a try:

http://www.absolutelytech.com/2010/01/2 ... n-booting/

Re: Problems when updating LMDE

Posted: Mon Feb 07, 2011 9:31 am
by TBABill
Looks like the post above and https://bugs.launchpad.net/ubuntu/+sour ... bug/432492 both refer to Ubuntu experiences with this fault, but the answers are similar. Apparently it has to do with gdm and setting chown correctly to rid the problem. I have not encountered it before so I'm not sure what the answer is since the launchpad info on this was from 2009. I tried the Debian forums and didn't find anything there either.

Hopefully someone will come along that has seen this real-time and took action to resolve. Following the ubuntu fix may exacerbate the problem so I'd only implement if you can back out to pre-fix attempt conditions.

Re: Problems when updating LMDE

Posted: Mon Dec 05, 2011 11:25 pm
by pada
I found a solution here
http://www.absolutelytech.com/2010/01/2 ... n-booting/
cd /var/lib/gdm3
then
sudo chown username:username .ICEauthority
sudo chmod 0644 .ICEauthority

where username is your username

Re: Problems when updating LMDE

Posted: Thu Jan 19, 2012 9:04 pm
by Tim_Olaguna
Every time I try to Update LMDE using this set of commands
sudo apt-get update && sudo apt-get dist-upgrade
I get a series of errors ending with these:

Preparing to replace gstreamer0.10-plugins-bad 0.10.22-2 (using .../gstreamer0.10-plugins-bad_0.10.22-3_i386.deb) ...
Unpacking replacement gstreamer0.10-plugins-bad ...
dpkg: error processing /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_i386.deb (--unpack):
trying to overwrite '/usr/lib/gstreamer-0.10/libgstxvid.so', which is also in package gstreamer0.10-plugins-really-bad 0.10.22-0.1
configured to not write apport reports
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

What should I be trying in order to get my LMDE to update?
:?

Re: Problems when updating LMDE

Posted: Thu Jan 19, 2012 9:22 pm
by Tim_Olaguna
pada wrote:I found a solution here
http://www.absolutelytech.com/2010/01/2 ... n-booting/
cd /var/lib/gdm3
then
sudo chown username:username .ICEauthority
sudo chmod 0644 .ICEauthority

where username is your username
This command fails for me at
"cd /var/lib/gdm3"

I get "bash: cd: /var/lib/gdm3: Permission denied"

Did you leave out some intermediate steps here?

Re: Problems when updating LMDE

Posted: Fri Jan 20, 2012 4:57 am
by zerozero
Tim,
your
error has nothing to do with this topic here, check this http://forums.linuxmint.com/viewtopic.p ... er#p500951